API
Google Search API
The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.
API Reference Version: 1.0.0 6 Endpoints Authentication
Base URL
https://pressmonitor.co.in/api Authentication
All requests require x-api-key and x-subscription-id headers. x-api-key authenticates your account; x-subscription-id selects the subscribed service.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/google_autocomplete Google Search Autocomplétion
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| text | string | query | Yes | Query text |
Code Examples
curl -X GET \
"https://pressmonitor.co.in/api/google_autocomplete?text=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/google_search_web Google Search Recherche Web
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| text | string | query | Yes | Query text |
| region | string | query | No | Region code |
| safesearch | string | query | No | SafeSearch filter |
| timelimit | string | query | No | Time limit |
| max_results | integer | query | No | Maximum number of results |
Code Examples
curl -X GET \
"https://pressmonitor.co.in/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/google_search_news Google Search Recherche Actualités
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| text | string | query | Yes | Query text |
| region | string | query | No | Region code |
| max_results | integer | query | No | Maximum number of results |
Code Examples
curl -X GET \
"https://pressmonitor.co.in/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/google_search_images Google Search Recherche Images
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| text | string | query | Yes | Query text |
| region | string | query | No | Region code |
| safesearch | string | query | No | SafeSearch filter |
| timelimit | string | query | No | Time limit |
| max_results | integer | query | No | Maximum number of results |
| color | string | query | No | Color |
| size | string | query | No | Size |
| image_type | string | query | No | Image type |
| layout | string | query | No | Layout |
Code Examples
curl -X GET \
"https://pressmonitor.co.in/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/google_search_videos Google Search Recherche Vidéos
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| text | string | query | Yes | Query text |
| region | string | query | No | Region code |
| safesearch | string | query | No | SafeSearch filter |
| timelimit | string | query | No | Time limit |
| max_results | integer | query | No | Maximum number of results |
| resolution | string | query | No | Resolution |
| duration | string | query | No | Duration |
Code Examples
curl -X GET \
"https://pressmonitor.co.in/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/google_search_maps Google Search Recherche Cartes
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| text | string | query | Yes | Query text |
| place | string | query | No | Place |
| street | string | query | No | Street |
| city | string | query | No | City |
| state | string | query | No | State |
| country | string | query | No | Country code |
| postalcode | string | query | No | Postalcode |
| latitude | string | query | No | Latitude |
| longitude | string | query | No | Longitude |
| radius | string | query | No | Radius |
Code Examples
curl -X GET \
"https://pressmonitor.co.in/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success